Record a scanner hardware check for a station and update its last known hardware state

POST/v1/stations/{id}/hardware-check
Auth: Factory API key

Path parameters

NameTypeDescription
idrequiredstring·

Request body

FieldTypeDescription
scanner_labelstring·
input_moderequiredstring·
one of: "keyboard", "camera", "android_intent"
suffixrequiredstring·
one of: "enter", "tab", "none"
avg_char_msnumber·
code128_okboolean·
qr_okboolean·
layout_okboolean·
passedrequiredboolean·
notesstring·

Response

200

Code samples

curl -X POST "https://api.skuflo.io/v1/stations/id_9c1a4e/hardware-check" \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "input_mode": "keyboard",
    "suffix": "enter",
    "passed": true,
    "scanner_label": "Honeywell 1900",
    "avg_char_ms": 42,
    "code128_ok": true,
    "qr_ok": true,
    "layout_ok": true
  }'